WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced Permission System

— Add- On per WorldWideScripts.net

Iscriviti al nostro feed per rimanere sempre aggiornato!

Nuovo! Seguici come lo vuoi!


Advanced Permission System - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Segui Envato Guarda il video in anteprima

Aggiornato alla versione 1.2

Il sistema di autorizzazione avanzate (APS) consente di proteggere il tuo sito web o parti di esso.

È possibile proteggere il vostro sito web con l'aggiunta di solo due righe di codice nella pagina che si desidera proteggere.
È possibile proteggere qualsiasi pagina e controllare l'accesso dal pannello intuitiva e amichevole amministrazione degli utenti.
È possibile registrare un numero illimitato di account utente e creare gruppi illimitati con autorizzazioni diverse.

Il sistema si basa su gruppi di autorizzazioni. È possibile registrare gli utenti e aggiungerli ai gruppi. Se un utente vuole accedere ad una pagina protetta sarà chiesto di effettuare il login. Se il suo account è attivo ed è in almeno in un gruppo con il permesso di accedere alla pagina corrente vedrà il contenuto protetto, altrimenti verrà visualizzato un messaggio di errore.

Ecco un piccolo schema / esempio di ciò che il sistema fa:

TEVIOR PROTEZIONE Llor GRUPPI PERMESSI WEBSITE

Caratteristiche

  • Pagine illimitate per proteggere
  • Numero illimitato di utenti di registrarsi
  • Gruppi illimitati per aggiungere
  • Tre tipi di account utente (super amministratore, gli amministratori e gli utenti regolari)
  • Attivato, non attivate e vietati stati conto
  • Predefinito URL di ritorno dopo il login
  • Personalizzato tornare URL per ogni pagina
  • Messaggio di errore personalizzato
  • User auto-registrazione (opzionale, se abilitato in configurazioni)
  • Password dimenticata
  • Pannello intuitivo ed amichevole gestione degli utenti
  • Orientata agli oggetti pannello di amministrazione
  • Installer Web

Requisiti

Il sistema richiede PHP 5. * e MySQL 5. * per l'esecuzione.

Changelog

  • 1.2.1
    • Fix: Typo nel programma di installazione crea costante sbagliato nel file config.php con nome DEFAULT_DEFAULT_RETURN_URL invece di DEFAULT_RETURN_URL
  • 1.2
    • Aggiornamento: compatibilità con Windows Server
    • Fix: Risolto problema di compatibilità tra diverse configurazioni del server per la funzione php echo
    • Inserito il: funzionalità Password persa
    • Aggiunto: Utenti autoregistrazione
    • Inserito il: Multi protezione login (impedire a più utenti di accedere un conto allo stesso tempo)
    • Inserito il: aggiornamento del database alla versione 1.2. Per aggiornare il database è necessario caricare l'aggiornamento della cartella e aprirlo nel browser (Esempio: Passare a www.domain.com/aps/update
    • Aggiunto: config-example.php - file di configurazione di esempio ben documentato
  • 1.1
    • Inserito il: modulo di login in linea (è possibile proteggere una parte della pagina web)
    • Aggiornamento: Primo utente admin (da installatore) è super amministratore
    • Update: Admin non può cambiare ogni altra condizione di amministrazione
    • Update: Admin non può aggiungere utente admin
    • Update: Admin non può cancellare utente admin
    • Aggiornamento: Solo super-amministratore possono aggiungere ed eliminare utenti di admin
    • Aggiornamento: Solo super-amministratore può cambiare lo stato di amministrazione
    • Aggiornamento: Stato dell'account di amministratore e super amministratore non ha importanza per il login
    • Aggiornamento: Migliorata la logica del codice
  • 1.0 - Versione iniziale

Scarica
Altri componenti di questa categoriaTutti i componenti di questo autore
CommentiDomande frequenti e risposte

Proprietà

Creato:
24 Marzo 12

Ultimo aggiornamento:
N / A

Alta Risoluzione:
no

browser compatibili:
IE6, IE7, IE8, IE9, IE10, IE11, Firefox, Safari, Opera, Chrome, i file inclusi

versione software:
PHP 5.x, MySQL 5.x

Parole chiave

eCommerce, eCommerce, tutte le voci, accesso, account, avanzata, controllo, gruppi, serratura, pagine, permessi, sicurezza, sistema, gli utenti